summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-06-25 10:53:21 +0200
committerPacho Ramos <pacho@gentoo.org>2016-06-25 14:19:22 +0200
commitd6154367f0a3d874700c1867c245a96bc00664a5 (patch)
treec58e657e253544cbecc7134b0c7f46cce520ec34 /dev-cpp/gtkmm
parentdev-cpp/pangomm: Version bump (diff)
downloadgentoo-d6154367f0a3d874700c1867c245a96bc00664a5.tar.gz
gentoo-d6154367f0a3d874700c1867c245a96bc00664a5.tar.bz2
gentoo-d6154367f0a3d874700c1867c245a96bc00664a5.zip
dev-cpp/gtkmm: Version bump
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'dev-cpp/gtkmm')
-rw-r--r--dev-cpp/gtkmm/Manifest1
-rw-r--r--dev-cpp/gtkmm/gtkmm-3.20.1.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/dev-cpp/gtkmm/Manifest b/dev-cpp/gtkmm/Manifest
index 8703a8b1458..575ca93f3a5 100644
--- a/dev-cpp/gtkmm/Manifest
+++ b/dev-cpp/gtkmm/Manifest
@@ -2,3 +2,4 @@ DIST gtkmm-2.24.4.tar.xz 10262212 SHA256 443a2ff3fcb42a915609f1779000390c640a6d7
DIST gtkmm-3.16.0.tar.xz 11468644 SHA256 9b8d4af5e1bb64e52b53bc8ef471ef43e1b9d11a829f16ef54c3a92985b0dd0c SHA512 282e53a0f3f3c4d1594057e4367bb4f4abe8fbf7f2bae2a819b35d4e4137a3e739aa83039114eb52eba16a9dd048abd78f011fb14635e53cf61019c6f4c06397 WHIRLPOOL 87c4dbccb79472c264621b3b96f5e06c73d03f4bbc0121f25e9c29f75e5c3e3e57aede9398b6c8b00e47d4eccd5eb6dfc6068c242af744f77f1d59af14bd2f25
DIST gtkmm-3.18.0.tar.xz 11862504 SHA256 829fa113daed74398c49c3f2b7672807f58ba85d0fa463f5bc726e1b0138b86b SHA512 486a0c4bf6f5e6756c7eb0143374ef14d82ad41bca62403ece6ce76b4e56815a34751e331896126098c96983e767afbee35c9342bbb3908e551d5f31cadd496b WHIRLPOOL 5a268f65dbd067fd749e19e5cb9c2bf8ca718282b730ae3221297549d8a0dae4c6aa1eb7d744b0f9c4dd28a6ac5491e5a5f888975abc967ff792e87dd094ab6b
DIST gtkmm-3.18.1.tar.xz 11872424 SHA256 747dff6164e5367db6fae6c30f01f0cb6bc14652353b1bdb33de8a69aa7b2520 SHA512 7f77b2e10c5041499541f5ee3762c2d17b243b6014b2d946afcd7c9d1112358db4803c08a411a4efe81a1013ae660c15ba67a7ebd0e17f3515d7258239b45cd9 WHIRLPOOL 0ccfef91c3fb0867ead5111d6c095df479fde4ea108465e4df226943a88b3db4443551eff350ffb8b823aa4b53646314b659b1491df16863326cc370327d8d76
+DIST gtkmm-3.20.1.tar.xz 12178004 SHA256 051de1b8756ca6ec61f26264338cfc3060af936fd70bf4558bfe1e115418c612 SHA512 fad034db02ee3f4658bb3c065d78998f5da090ecba8903016fa1412eff845fdd46f44b2b6bd1be54d1d177bca0840815a1f492391045fbe43fa173e40b7b0fd5 WHIRLPOOL 5368bf79026c7888304b3329a28269ce17a3656b121805c4649241c622512ad2890a0c7fe0c74edd3f156388da77195fe62733c3609c245041ad2ea93090513f
diff --git a/dev-cpp/gtkmm/gtkmm-3.20.1.ebuild b/dev-cpp/gtkmm/gtkmm-3.20.1.ebuild
new file mode 100644
index 00000000000..42be0f9d470
--- /dev/null
+++ b/dev-cpp/gtkmm/gtkmm-3.20.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils gnome2 multilib-minimal virtualx
+
+DESCRIPTION="C++ interface for GTK+"
+HOMEPAGE="http://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+"
+SLOT="3.0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+IUSE="aqua doc examples test wayland X"
+REQUIRED_USE="|| ( aqua wayland X )"
+
+RDEPEND="
+ >=dev-cpp/glibmm-2.48.0:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-3.20.0:3[aqua?,wayland?,X?,${MULTILIB_USEDEP}]
+ >=x11-libs/gdk-pixbuf-2.28:2[${MULTILIB_USEDEP}]
+ >=dev-cpp/atkmm-2.24.2[${MULTILIB_USEDEP}]
+ >=dev-cpp/cairomm-1.12.0[${MULTILIB_USEDEP}]
+ >=dev-cpp/pangomm-2.38.2:1.4[${MULTILIB_USEDEP}]
+ >=dev-libs/libsigc++-2.3.2:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ examples? ( >=media-libs/libepoxy-1.2[${MULTILIB_USEDEP}] )
+ doc? (
+ media-gfx/graphviz
+ dev-libs/libxslt
+ app-doc/doxygen )
+"
+# dev-cpp/mm-common"
+# eautoreconf needs mm-common
+
+src_prepare() {
+ if ! use test; then
+ # don't waste time building tests
+ sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+ || die "sed 1 failed"
+ fi
+
+ if ! use examples; then
+ # don't waste time building tests
+ sed 's/^\(SUBDIRS =.*\)demos\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+ || die "sed 2 failed"
+ fi
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ --enable-api-atkmm \
+ $(multilib_native_use_enable doc documentation) \
+ $(use_enable aqua quartz-backend) \
+ $(use_enable wayland wayland-backend) \
+ $(use_enable X x11-backend)
+}
+
+multilib_src_test() {
+ virtx emake check
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}